# $Revision: 1.9 $, $Date: 2009/04/15 16:08:49 $
Summary:	The OpenGL Extension Wrangler Library
Summary(pl.UTF-8):	Bibliteka OpenGL Extension Wrangler
Name:		glew
Version:	1.5.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/glew/%{name}-%{version}-src.tgz
# Source0-md5:	759a59853dfaae4d007b414a3c1712f2
Patch0:		%{name}-dynamic-progs.patch
URL:		http://glew.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	dos2unix
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target
platform. OpenGL core and extension functionality is exposed in a
single header file.

%description -l pl.UTF-8
OpenGL Extension Wrangler Library (GLEW) jest międzyplatformową
biblioteką C/C++ ładującą rozszerzenia. GLEW zapewnia wydajne
mechanizmy rozpoznające które rozszerzenia są dostępne w czasie
wykonywania programu. Funkcjonalność rdzenia OpenGL i rozszerzeń jest
udostępniana w pojedynczym pliku nagłówkowym.

%package devel
Summary:	Header files for glew
Summary(pl.UTF-8):	Pliki nagłówkowe glew
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	xorg-lib-libXi-devel
Requires:	xorg-lib-libXmu-devel

%description devel
Header files for glew.

%description devel -l pl.UTF-8
Pliki nagłówkowe glew.

%package static
Summary:	Static glew library
Summary(pl.UTF-8):	Biblioteka statyczna glew
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static glew library.

%description static -l pl.UTF-8
Biblioteka statyczna glew.

%prep
%setup -q -n %{name}
dos2unix config/config.guess Makefile
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir}/GL}

install bin/* $RPM_BUILD_ROOT%{_bindir}
cp -d lib/* $RPM_BUILD_ROOT%{_libdir}
install include/GL/* $RPM_BUILD_ROOT%{_includedir}/GL

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt doc/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libGLEW.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGLEW.so.?.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLEW.so
%{_includedir}/GL/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libGLEW.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glew.spec,v $
Revision 1.9  2009/04/15 16:08:49  arvenil
- convert also Makefile to UNIX format instead changing patch

Revision 1.8  2009/04/15 16:05:00  arvenil
- up to 1.5.1
- BR: dos2unix (for fix)
- adapter

Revision 1.7  2008/08/26 16:21:00  qboosh
- License is BSD

Revision 1.6  2008/08/02 12:56:31  arvenil
- up to 1.5.0
- added ghost

Revision 1.5  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.3  2007/02/03 21:33:24  qboosh
- updated to 1.3.5
- unified sf URL

Revision 1.2  2006/03/24 20:06:01  qboosh
- sorted deps

Revision 1.1  2006/03/23 20:57:35  wolf
- new
